%define		php_extension	openssl

Name:	 	php5-%php_extension
Version:	%php_version
Release:	%php_release

Summary:	OpenSSL module for PHP5
Group:		System/Servers
License:	PHP Licence

Prereq:		php5-libs = %php_version-%php_release

Source1:	php-%php_extension.ini
Source2:	php-%php_extension-params.sh

BuildPreReq:	php5-devel = %php_version-%php_release

# Automatically added by buildreq on Fri Jul 01 2005
BuildRequires: libssl-devel pkgconfig

%description
This module uses the functions of OpenSSL for generation and verification 
of signatures and for sealing (encrypting) and opening (decrypting) data. 
OpenSSL offers many features that this module currently doesn't support. 
Some of these may be added in the future.

%prep
%setup -T -c
%__cp -pr %php_extsrcdir/%php_extension/* .

# simple fix
%__mv config0.m4 config.m4

%build
phpize

BUILD_HAVE=`echo %php_extension | tr '[:lower:]-' '[:upper:]_'`
%add_optflags -fPIC -L%_libdir
%configure \
	--with-%php_extension=%_usr
%php_make

%install
%php_make_install
%__install -D -m 644 %SOURCE1 %buildroot/%php_extconf/%php_extension/config
%__install -D -m 644 %SOURCE2 %buildroot/%php_extconf/%php_extension/params

%files
%php_extconf/%php_extension
%php_extdir/*
%doc CREDITS README

%post
%php_extension_postin

%preun
%php_extension_preun

%changelog
* Thu Aug 04 2005 Alexey Gladkov <legion@altlinux.ru> 5.0.5-alt0.cvs20050729
- new cvs snapshot.

* Wed Jul 13 2005 Sir Raorn <raorn@altlinux.ru> 5.0.4-alt0.M24.1
- Built for 5.0.4-alt0.M24.1

* Mon Jul 04 2005 Sir Raorn <raorn@altlinux.ru> 5.0.4-alt0.4
- rebuilt with alt0.4

* Fri Jul 01 2005 Sir Raorn <raorn@altlinux.ru> 5.0.4-alt0.3
- built for php5-5.0.4
